/**
 * Theme for code fragments
 */

@import '../../../../bower_components/highlightjs/styles/vs.css';

/* Code blocks highlights */
#rd-presentation .rd-slide .remark-slide-content .remark-code-line.remark-code-line-highlighted {
    background-color: rgba(0, 170, 155, 0.1);
}

/* Code block, framecolor: grass */
#rd-presentation .rd-slide .remark-slide-content .remark-code {
    border: 0.5pt solid rgb(35, 45, 75);
    margin-bottom: 10pt;
    /* background-color: rgba(35, 45, 75, 0.1) */
}

/* Inline code used in markdown with back quotes as such `int i=0;` */
#rd-presentation .rd-slide .remark-slide-content code.remark-inline-code {
    font-family: monospace;
    font-size: inherit;
}

/* Make code blocks that are too large wrap, rather than show scrollbars. Both for handouts as for presentation. */
pre {
    word-wrap: break-word;
    overflow-wrap: break-word;
    white-space: pre-wrap;
}

.rd-handouts > .rd-body .code-line {
    min-height: 1em;
    font-size: x-small;
}

.rd-handouts > .rd-body .highlighted {
    background-color: rgba(0, 179, 155, 0.1);
}

.rd-handouts > .rd-body pre > code {
    font-family: monospace;
    /* font-weight: bold; */
    /* border: 0.8mm solid rgb(0, 170, 155); */
    border: 0.5mm solid rgb(35, 45, 75);
    /* border-radius: 10pt; */
    margin-bottom: 10pt;
}
